Bug 4607 - rpm-3.0.2 on solaris/irix - file name globbing doesn't work properly
rpm-3.0.2 on solaris/irix - file name globbing doesn't work properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-19 09:16 EDT by benedict
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-15 13:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description benedict 1999-08-19 09:16:13 EDT
The problem below still exists in rpm-3.0.2 on solaris/irix

[mail to rpm-list,  Fri, 11 Apr 1997 13:02:49 +0200 (MET
DST),
<199704111102.NAA23694@markka.daimi.aau.dk>]

> 	  > Message-Id:
<199702051447.PAA10758@markka.daimi.aau.dk>
> 	  > From: Benedict Lofstedt <benedict@daimi.aau.dk>
> 	  > To: rpm-list@redhat.com
> 	  > Subject: rpm-2.3.3 globbing error
> 	  > Date: Wed, 5 Feb 1997 15:47:07 +0100 (MET)
> 	  >
> 	  > With rpm-2.3.3 under Solaris 2.5 I have a problem
with a set of files
> 	  > specified with wildcards like this:
> 	  >
> 	  >     /usr/local/gnu/lib/locale/*/LC_MESSAGES/gcal.*
> 	  >     Globbing doesn't work properly.
>
>     A spec file which contains the following salient parts
>
> 	  Buildroot: /tmp/benedict/INSTALL-foo
>
> 	  %install
> 	  cd ${RPM_BUILD_ROOT}
> 	  /bin/rm -rf *
> 	  for dir in foodir bardir; do
> 	    [ -d $dir ] || mkdir -p $dir
> 	    (cd $dir ;touch foo bar)
> 	  done
> 	  touch bar
> 	  find . -type f
>
> 	  %files
>
> 	  /*/*
>
>     gives
>
> 	  + find . -type f
> 	  ./foodir/foo
> 	  ./foodir/bar
> 	  ./bardir/foo
> 	  ./bardir/bar
> 	  ./bar
> 	  + exit 0
> 	  [...snip...]
> 	  No matches: /tmp/benedict/INSTALL-foo/*/*
>
>     If the file ./bar is not created, the problem goes
away.
Comment 1 Jeff Johnson 1999-12-15 13:13:59 EST
Fixed in rpm-3.0.3 and later.

Note You need to log in before you can comment on or make changes to this bug.